> For the complete documentation index, see [llms.txt](https://docs.keeper.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.keeper.io/release-notes/enterprise/keeper-secrets-manager/2023/july-2023.md).

# July 2023

KSM Release Notes for July 2023

## KSM JavaScript SDK

### v16.6.1

* Added support for Folders
* Improved Passkey field type support
* Dependencies upgrade

## KSM Java SDK

### v16.6.2

* fixed issues when using Java default crypto provider.
* Upgraded `kotlin-stdlib-jdk8` dependency scope to api

### v16.6.1

* Improved folder support and unit tests

### v16.6.0

* Added support for Folders

## KSM Python SDK

### v16.6.1

* Improved folder support

### v16.6.0

* Added support for Folders
* Improved Passkey field type support

## KSM .NET SDK

### v16.6.1

* Improved folder support

### v16.6.0

* Added support for Folders
* Improved Passkey field type support
* Added support for record Transactions
* Upgraded .NET version to `net48, netstandard2.1` to make sure we are supporting TLS13

## KSM GoLang SDK

### v16.6.1

* Added \`folderUid\` and \`innerFolderUid\` to Record
* Fixed \`subFolderUid\` crash on empty string value, related to KA-5587

### v16.6.0

* Added support for Folders
* Improved Passkey field type support

## KSM PowerShell Module

### v16.6.1

* Updates KSM .NET SDK Dependency

### v16.6.0

* Updated KSM .NET SDK to use latest version 16.6.0

## Ansible Plugin

### v1.2.0

* Added action `keeper_cache_records` to cache Keeper Vault records to reduce API calls.
* Added ability to get records by title for some actions.
* Added `array_index` and `value_key` to access individual values in complex values. Alternative to `notation`.

##

##


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.keeper.io/release-notes/enterprise/keeper-secrets-manager/2023/july-2023.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
